-- phpMyAdmin SQL Dump
-- version 2.6.1-pl3
-- http://www.phpmyadmin.net
-- 
-- Host: phpmyadmin
-- Generato il: 17 Apr, 2005 at 04:31 PM
-- Versione MySQL: 4.1.11
-- Versione PHP: 4.3.11
-- 
-- Database: `phpMyBitTorrent`
-- 

-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_categories`
-- 

CREATE TABLE `torrent_categories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  `sort_index` int(10) unsigned NOT NULL default '0',
  `image` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_comments`
-- 

CREATE TABLE `torrent_comments` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user` int(10) unsigned NOT NULL default '0',
  `torrent` int(10) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `text` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user` (`user`),
  KEY `torrent` (`torrent`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_comments_notify`
-- 

CREATE TABLE `torrent_comments_notify` (
  `torrent` int(11) NOT NULL default '0',
  `user` int(11) NOT NULL default '0',
  `status` enum('active','stopped') NOT NULL default 'active',
  PRIMARY KEY  (`torrent`,`user`),
  KEY `torrent` (`torrent`,`status`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_complaints`
-- 

CREATE TABLE `torrent_complaints` (
  `torrent` int(15) unsigned NOT NULL default '0',
  `user` int(11) unsigned NOT NULL default '0',
  `host` varchar(60) NOT NULL default '',
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `score` smallint(1) unsigned zerofill NOT NULL default '0',
  KEY `torrent` (`torrent`)
) TYPE=MyISAM;


-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_config`
-- 

CREATE TABLE `torrent_config` (
  `sitename` varchar(255) NOT NULL default '',
  `siteurl` varchar(255) NOT NULL default '',
  `cookiedomain` varchar(30) NOT NULL default '',
  `cookiepath` varchar(60) NOT NULL default '',
  `admin_email` varchar(60) NOT NULL default '',
  `lang_level` enum('auto','fixed','custom') NOT NULL default 'auto',
  `language` varchar(15) NOT NULL default '',
  `theme` varchar(255) NOT NULL default '',
  `rewrite_engine` enum('true','false') NOT NULL default 'true',
  `torrent_per_page` int(10) unsigned NOT NULL default '10',
  `comments_per_page` int(10) unsigned NOT NULL default '10',
  `onlysearch` enum('true','false') NOT NULL default 'true',
  `max_torrent_size` int(11) unsigned NOT NULL default '0',
  `announce_interval` int(10) unsigned NOT NULL default '0',
  `minvotes` smallint(5) unsigned NOT NULL default '0',
  `time_tracker_update` int(10) unsigned NOT NULL default '0',
  `timeout_repeat_tu` int(10) unsigned NOT NULL default '0',
  `time_check` int(10) unsigned NOT NULL default '0',
  `best_limit` smallint(5) unsigned NOT NULL default '0',
  `down_limit` smallint(5) unsigned NOT NULL default '0',
  `default_limit` smallint(5) unsigned NOT NULL default '0',
  `torrent_global_privacy` enum('true','false') NOT NULL default 'true',
  `disclaimer_check` enum('true','false') NOT NULL default 'false',
  `gfx_check` enum('true','false') NOT NULL default 'true',
  `download_level` enum('all','user','premium') NOT NULL default 'all',
  `announce_level` enum('all','user') NOT NULL default 'all',
  `max_num_file` smallint(5) unsigned NOT NULL default '0',
  `max_share_size` bigint(8) unsigned NOT NULL default '0',
  `min_size_seed` mediumint(8) unsigned NOT NULL default '0',
  `min_share_seed` bigint(8) unsigned NOT NULL default '0',
  `autoscrape` enum('true','false') NOT NULL default 'true',
  `max_num_file_day_e` smallint(5) unsigned NOT NULL default '0',
  `max_num_file_week_e` smallint(5) unsigned NOT NULL default '0',
  `min_num_seed_e` smallint(5) unsigned NOT NULL default '0',
  `min_size_seed_e` bigint(8) unsigned NOT NULL default '0',
  `maxupload_day_num` smallint(5) unsigned NOT NULL default '0',
  `maxupload_day_share` bigint(8) unsigned NOT NULL default '0',
  `minupload_size_file` int(10) unsigned NOT NULL default '0',
  `stealthmode` enum('true','false') NOT NULL default 'true',
  `autoclean_interval` int(10) unsigned NOT NULL default '86400',
  `max_dead_torrent_time` int(10) unsigned NOT NULL default '0',
  `src_url` enum('disabled','torrent','url','force') NOT NULL default 'disabled',
  `version` varchar(5) NOT NULL default ''
) TYPE=MyISAM COMMENT='torrent_config';

-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_download`
-- 

CREATE TABLE `torrent_download` (
  `user` int(11) unsigned NOT NULL default '0',
  `torrent` int(10) unsigned NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `host` varchar(100) NOT NULL default '',
  KEY `user` (`user`),
  KEY `torrent` (`torrent`),
  KEY `time` (`date`),
  KEY `host` (`host`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_files`
-- 

CREATE TABLE `torrent_files` (
  `id` int(20) unsigned NOT NULL auto_increment,
  `torrent` int(15) unsigned NOT NULL default '0',
  `filename` varchar(255) NOT NULL default '',
  `size` bigint(20) unsigned NOT NULL default '0',
  `md5sum` varchar(32) default NULL,
  `ed2k` varchar(255) default NULL,
  `magnet` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `torrent` (`torrent`)
) TYPE=MyISAM;


-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_filter`
-- 

CREATE TABLE `torrent_filter` (
  `keyword` varchar(20) NOT NULL default '',
  `reason` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`keyword`)
) TYPE=MyISAM;


-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_log`
-- 

CREATE TABLE `torrent_log` (
  `event` int(60) unsigned NOT NULL auto_increment,
  `datetime` timestamp NOT NULL,
  `action` enum('signup','upload') NOT NULL default 'signup',
  `ip` int(10) NOT NULL default '0',
  `host` varchar(255) NOT NULL default '',
  `userid` int(60) NOT NULL default '0',
  `torrent` int(11) NOT NULL default '0',
  PRIMARY KEY  (`event`),
  KEY `datetime` (`datetime`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_peers`
-- 

CREATE TABLE `torrent_peers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `torrent` int(10) unsigned NOT NULL default '0',
  `peer_id` char(20) binary NOT NULL default '',
  `ip` char(64) NOT NULL default '',
  `port` smallint(5) unsigned NOT NULL default '0',
  `uploaded` bigint(20) unsigned NOT NULL default '0',
  `downloaded` bigint(20) unsigned NOT NULL default '0',
  `download_speed` int(11) unsigned NOT NULL default '0',
  `upload_speed` int(11) unsigned NOT NULL default '0',
  `to_go` bigint(20) unsigned NOT NULL default '0',
  `seeder` enum('yes','no') NOT NULL default 'no',
  `started` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_action` datetime NOT NULL default '0000-00-00 00:00:00',
  `connectable` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `torrent_peer_id` (`torrent`,`peer_id`),
  KEY `torrent` (`torrent`),
  KEY `torrent_seeder` (`torrent`,`seeder`),
  KEY `last_action` (`last_action`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_privacy_backup`
-- 

CREATE TABLE `torrent_privacy_backup` (
  `slave` int(11) NOT NULL default '0',
  `torrent` int(11) NOT NULL default '0',
  `status` enum('pending','denied','granted') NOT NULL default 'pending',
  PRIMARY KEY  (`slave`,`torrent`)
) TYPE=MyISAM;


-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_privacy_file`
-- 

CREATE TABLE `torrent_privacy_file` (
  `slave` int(11) unsigned NOT NULL default '0',
  `torrent` int(15) unsigned NOT NULL default '0',
  `status` enum('pending','denied','granted') NOT NULL default 'pending',
  PRIMARY KEY  (`slave`,`torrent`)
) TYPE=MyISAM;


-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_privacy_global`
-- 

CREATE TABLE `torrent_privacy_global` (
  `master` int(11) unsigned NOT NULL default '0',
  `slave` int(11) unsigned NOT NULL default '0',
  `status` enum('blacklist','whitelist') NOT NULL default 'whitelist',
  PRIMARY KEY  (`master`,`slave`)
) TYPE=MyISAM;


-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_ratings`
-- 

CREATE TABLE `torrent_ratings` (
  `torrent` int(10) unsigned NOT NULL default '0',
  `user` int(10) unsigned NOT NULL default '0',
  `rating` tinyint(3) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`torrent`,`user`)
) TYPE=MyISAM;


-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_seeder_notify`
-- 

CREATE TABLE `torrent_seeder_notify` (
  `torrent` int(11) NOT NULL default '0',
  `user` int(11) NOT NULL default '0',
  `status` enum('active','stopped') NOT NULL default 'active',
  PRIMARY KEY  (`torrent`,`user`),
  KEY `contacts` (`torrent`,`status`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_smiles`
-- 

CREATE TABLE `torrent_smiles` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `code` varchar(15) NOT NULL default '',
  `file` varchar(30) NOT NULL default '',
  `alt` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `code` (`code`,`file`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_torrents`
-- 

CREATE TABLE `torrent_torrents` (
  `id` int(15) unsigned NOT NULL auto_increment,
  `info_hash` varchar(20) binary NOT NULL default '',
  `md5sum` varchar(32) default NULL,
  `name` varchar(255) NOT NULL default '',
  `filename` varchar(255) NOT NULL default '',
  `save_as` varchar(255) NOT NULL default '',
  `search_text` text NOT NULL,
  `descr` text NOT NULL,
  `size` bigint(20) unsigned NOT NULL default '0',
  `category` int(10) unsigned NOT NULL default '0',
  `type` enum('single','multi','link') NOT NULL default 'single',
  `numfiles` int(10) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `exeem` varchar(250) default NULL,
  `views` int(10) unsigned NOT NULL default '0',
  `downloaded` int(10) unsigned NOT NULL default '0',
  `completed` int(10) unsigned NOT NULL default '0',
  `banned` enum('yes','no') NOT NULL default 'no',
  `visible` enum('yes','no') NOT NULL default 'yes',
  `evidence` tinyint(1) NOT NULL default '0',
  `owner` int(10) unsigned NOT NULL default '0',
  `ownertype` tinyint(1) unsigned NOT NULL default '0',
  `uploader_host` varchar(100) NOT NULL default '',
  `numratings` int(10) unsigned NOT NULL default '0',
  `ratingsum` int(10) unsigned NOT NULL default '0',
  `seeders` int(10) unsigned NOT NULL default '0',
  `leechers` int(10) unsigned NOT NULL default '0',
  `tot_peer` int(11) unsigned NOT NULL default '0',
  `speed` int(10) unsigned NOT NULL default '0',
  `comments` int(10) unsigned NOT NULL default '0',
  `complaints` char(3) NOT NULL default '0,0',
  `tracker` varchar(250) default NULL,
  `tracker_update` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_action` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `info_hash` (`info_hash`),
  KEY `owner` (`owner`),
  KEY `visible` (`visible`),
  KEY `category_visible` (`category`,`visible`),
  KEY `added` (`added`),
  KEY `seeders` (`seeders`),
  FULLTEXT KEY `ft_search` (`search_text`),
  FULLTEXT KEY `filename` (`filename`)
) TYPE=MyISAM PACK_KEYS=1 CHECKSUM=1;

-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_trackers`
-- 

CREATE TABLE `torrent_trackers` (
  `id` tinyint(5) unsigned NOT NULL auto_increment,
  `url` varchar(120) NOT NULL default '',
  `status` enum('active','dead') NOT NULL default 'active',
  `update` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `url` (`url`),
  KEY `update` (`status`,`update`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Struttura della tabella `torrent_users`
-- 

CREATE TABLE `torrent_users` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(25) NOT NULL default '',
  `name` varchar(50) default NULL,
  `email` varchar(255) NOT NULL default '',
  `regdate` datetime NOT NULL default '0000-00-00 00:00:00',
  `password` varchar(40) NOT NULL default '',
  `theme` varchar(255) NOT NULL default '',
  `language` varchar(15) default NULL,
  `level` enum('banned','user','premium','admin') NOT NULL default 'user',
  `uploaded` bigint(32) unsigned NOT NULL default '0',
  `downloaded` bigint(32) unsigned NOT NULL default '0',
  `active` tinyint(1) default '0',
  `act_key` varchar(32) default NULL,
  `newpasswd` varchar(32) default NULL,
  `lastip` int(10) unsigned NOT NULL default '0',
  `lasthost` varchar(100) NOT NULL default '',
  `lastlogin` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `email` (`email`),
  KEY `lastip` (`lastip`),
  KEY `lasthost` (`lasthost`)
) TYPE=MyISAM PACK_KEYS=0;